#
# spec file for package nagios-plugins-ipmi (Version 0.1)
#
#

# norootforbuild


Name:           nagios-plugins-ipmi
Summary:        Nagios plugin collection for ipmi devices
Version:        0.3
Release:        1.15
Url:            http://download.obs.j0ke.net/
License:        BSD 4-Clause
Group:          System/Monitoring
Source0:        check_ipmi_chassis
Source1:        check_ipmi_eventlog.sh
Source2:        check_ipmi.pl
Source3:        check_ipmi_sdr_ok
Source4:        check_ipmi_sensors
Source5:        check_ipmi_sensors.pl

Source10:       README.check_ipmi_chassis
Source11:       README.check_ipmi_eventlog
Source12:       README.check_ipmi_sdr_ok
Source13:       README.check_ipmi_sensors
Source14:       README.check_ipmi_sensors.pl

Requires:	perl-Nagios-Plugin
Requires:	ipmitool
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
This is a nagios plugin collection for devices using ipmi.

%prep
%setup -T -c -n %{name}

%build
for README in %{S:10} %{S:11} %{S:12} %{S:13} %{S:14} ; do
 cp ${README} $RPM_BUILD_DIR/%{name}
done

%install
install -D -m755 %{SOURCE0} %buildroot/%libexecdir/check_ipmi_chassis
install    -m755 %{SOURCE1} %buildroot/%libexecdir/check_ipmi_eventlog.sh
install    -m755 %{SOURCE2} %buildroot/%libexecdir/check_ipmi.pl
install    -m755 %{SOURCE3} %buildroot/%libexecdir/check_ipmi_sdr_ok
install    -m755 %{SOURCE4} %buildroot/%libexecdir/check_ipmi_sensors
install    -m755 %{SOURCE5} %buildroot/%libexecdir/check_ipmi_sensors.pl


%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%doc README*
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/*

%changelog
* Sun Mar 15 2009 Carsten Schoene <cs@linux-administrator.com>
- initial release
